How to upgrade Wordpress from earlier versions.
Posted by Heena on 19 June 2013 03:09 PM

Keeping your Wordpress version up to date is important for security and functionality. Additionally earlier versions may no longer be supported and hence vulnerable to attack.

Earlier than 2.7

Essentially the process requires you to:

1. Back up your website
2. Deactivate your plugins.

Then you need to download and extract Wordpress packages. It is recommended that you upgrade incrementally. You can skip every other version but it's important to upgrade major releases.

3. Delete old wordpress folders EXCEPT:
wp-config.php file;
wp-content folder;
wp-images folder--only older installations from 1.5.x days will have this folder;
wp-includes/languages/ folder--if you are using a language file, and it is here rather than in wp-content/languages/, do not delete this folder (you might want to move your language files to wp-content/languages/ for easier upgrading in the future);.
.htaccess file--if you have added custom rules to your .htaccess, do not delete it;
Custom Content and/or Plugins--if you have any images or other custom content or Plugins inside the wp-content folder, do NOT delete them.

4. Upload the new files.

5. Run the Wordpress upgrade program.

6. Repeat steps 3 - 5 for each version until you reach 2.7

A more in depth instruction can be found here.

After 2.7

1. Back up your website
2. Deactivate your plugins.
3. Use the Automatic Update feature in the new version baner, or by going to Tools>Upgrade (or Update from version 3)

More details can be found here.

(39 vote(s))
Helpful
Not helpful

Comments (0)

© 2018 Domains4Less. All rights reserved. Privacy policy